## Copyright (C) 1991-2009 Altera Corporation
## Your use of Altera Corporation's design tools, logic functions 
## and other software and tools, and its AMPP partner logic 
## functions, and any output files from any of the foregoing 
## (including device programming or simulation files), and any 
## associated documentation or information are expressly subject 
## to the terms and conditions of the Altera Program License 
## Subscription Agreement, Altera MegaCore Function License 
## Agreement, or other applicable license agreement, including, 
## without limitation, that your use is for the sole purpose of 
## programming logic devices manufactured by Altera and sold by 
## Altera or its authorized distributors.  Please refer to the 
## applicable agreement for further details.

## VENDOR "Altera"
## PROGRAM "Quartus II"
## VERSION "Version 9.0 Build 235 06/17/2009 Service Pack 2 SJ Web Edition"

## DATE "09/24/2009 09:40:27"

## 
## Device: Altera EPM2210F324C3 Package FBGA324
## 

## 
## This Tcl script should be used for PrimeTime (Verilog) only
## 

## This file can be sourced in primetime

set report_default_significant_digits 3
set hierarchy_separator .

set quartus_root "c:/altera/90sp2/quartus/"
set search_path [list . [format "%s%s" $quartus_root "eda/synopsys/primetime/lib"]  ]

set link_path [list *  maxii_io_lib.db maxii_asynch_lcell_lib.db  maxii_ufm_lib.db maxii_lcell_register_lib.db  alt_vtl.db]

read_verilog  maxii_all_pt.v 

##########################
## DESIGN ENTRY SECTION ##
##########################

read_verilog  VRAM2.vo
current_design VRAM2
link
## Set variable timing_propagate_single_condition_min_slew to false only for versions 2004.06 and earlier
regexp {([1-9][0-9][0-9][0-9]\.[0-9][0-9])} $sh_product_version dummy version
if { [string compare "2004.06" $version ] != -1 } {
   set timing_propagate_single_condition_min_slew false
}
set_operating_conditions -analysis_type single
read_sdf VRAM2_v.sdo

################################
## TIMING CONSTRAINTS SECTION ##
################################


## Start clock definition ##
create_clock -period 20.000 -waveform {0.000 10.000} [get_ports { SYS_CLK50M } ] -name SYS_CLK50M  
create_clock -period 20.000 -waveform {0.000 10.000} [get_ports { MC_nSTB } ] -name MC_nSTB  
create_clock -period 20.000 -waveform {0.000 10.000} [get_ports { MC_PINC } ] -name MC_PINC  

set_propagated_clock [all_clocks]

set_clock_groups -asynchronous \
-group {SYS_CLK50M} \
-group {MC_nSTB} \
-group {MC_PINC}
## End clock definition ##

## Start create collections ##
## End create collections ##

## Start global settings ##
## End global settings ##

## Start collection commands definition ##

## End collection commands definition ##

## Start individual pin commands definition ##
## End individual pin commands definition ##

## Start Output pin capacitance definition ##
set_load -pin_load 10 [get_ports { MC_CLK5M } ]
set_load -pin_load 10 [get_ports { MC_WENBL } ]
set_load -pin_load 10 [get_ports { SRAM_A0 } ]
set_load -pin_load 10 [get_ports { SRAM_A1 } ]
set_load -pin_load 10 [get_ports { SRAM_A10 } ]
set_load -pin_load 10 [get_ports { SRAM_A11 } ]
set_load -pin_load 10 [get_ports { SRAM_A12 } ]
set_load -pin_load 10 [get_ports { SRAM_A13 } ]
set_load -pin_load 10 [get_ports { SRAM_A14 } ]
set_load -pin_load 10 [get_ports { SRAM_A15 } ]
set_load -pin_load 10 [get_ports { SRAM_A16 } ]
set_load -pin_load 10 [get_ports { SRAM_A17 } ]
set_load -pin_load 10 [get_ports { SRAM_A2 } ]
set_load -pin_load 10 [get_ports { SRAM_A3 } ]
set_load -pin_load 10 [get_ports { SRAM_A4 } ]
set_load -pin_load 10 [get_ports { SRAM_A5 } ]
set_load -pin_load 10 [get_ports { SRAM_A6 } ]
set_load -pin_load 10 [get_ports { SRAM_A7 } ]
set_load -pin_load 10 [get_ports { SRAM_A8 } ]
set_load -pin_load 10 [get_ports { SRAM_A9 } ]
set_load -pin_load 10 [get_ports { SRAM_IO0 } ]
set_load -pin_load 10 [get_ports { SRAM_IO1 } ]
set_load -pin_load 10 [get_ports { SRAM_IO10 } ]
set_load -pin_load 10 [get_ports { SRAM_IO11 } ]
set_load -pin_load 10 [get_ports { SRAM_IO12 } ]
set_load -pin_load 10 [get_ports { SRAM_IO13 } ]
set_load -pin_load 10 [get_ports { SRAM_IO14 } ]
set_load -pin_load 10 [get_ports { SRAM_IO15 } ]
set_load -pin_load 10 [get_ports { SRAM_IO2 } ]
set_load -pin_load 10 [get_ports { SRAM_IO3 } ]
set_load -pin_load 10 [get_ports { SRAM_IO4 } ]
set_load -pin_load 10 [get_ports { SRAM_IO5 } ]
set_load -pin_load 10 [get_ports { SRAM_IO6 } ]
set_load -pin_load 10 [get_ports { SRAM_IO7 } ]
set_load -pin_load 10 [get_ports { SRAM_IO8 } ]
set_load -pin_load 10 [get_ports { SRAM_IO9 } ]
set_load -pin_load 10 [get_ports { SRAM_nBHE } ]
set_load -pin_load 10 [get_ports { SRAM_nBLE } ]
set_load -pin_load 10 [get_ports { SRAM_nCE } ]
set_load -pin_load 10 [get_ports { SRAM_nOE } ]
set_load -pin_load 10 [get_ports { SRAM_nWE } ]
set_load -pin_load 10 [get_ports { VGA_B } ]
set_load -pin_load 10 [get_ports { VGA_G } ]
set_load -pin_load 10 [get_ports { VGA_Hsync } ]
set_load -pin_load 10 [get_ports { VGA_R } ]
set_load -pin_load 10 [get_ports { VGA_Vsync } ]
## End Output pin capacitance definition ##

## Start clock uncertainty definition ##
## End clock uncertainty definition ##

## Start Multicycle and Cut Path definition ##
## End Multicycle and Cut Path definition ##

## Destroy Collections ##

update_timing
